const LoginModel = require('../../model/loginModel');
const md5 = require('md5');

const route = (router) => {
  router.post('/login', (async (req, res) => {
    try {
      const loginData = await LoginModel.getLogin({ PASSWORD: md5(req.body.password), EMAIL: req.body.email });
      
      if (loginData.rows.length === 0) {
        res.send('Email ou senha inválidos');
      } else {
        res.send({
          CDOPERADOR: loginData.rows[0][0],
          NMOPERADOR: loginData.rows[0][1],
          IDOPERACESSO: loginData.rows[0][2]
        });
      }
    } catch (error) {
      res.send(error);
    }
  }));
}

module.exports = route;