const OracleService = require('../service/OracleService');

class acmApagaVendasDupModel {
  constructor() {
    this.GET_ACMAPAGAVENDASDUP = `
            DECLARE
               V_NRSEQVENDA VARCHAR2(10);
            BEGIN
               FOR C_VENDAS_DUP IN (
            WITH VENDA_AUX AS
                 (SELECT CDFILIAL, CDCAIXA, DTABERTUR, NRSEQVENDAMSDE, NRSEQVENDA
            FROM VENDA
                 WHERE CDFILIAL = :P_CDFILIAL
             AND CDCAIXA  = :P_CDCAIXA
             AND DTENTRVENDA >= TIMESTAMP :P_DTENTRVENDA)
            
              SELECT DISTINCT V1.CDFILIAL, V1.CDCAIXA, V1.DTABERTUR, V1.NRSEQVENDAMSDE
              FROM VENDA_AUX V1, VENDA_AUX V2
             WHERE V1.CDFILIAL = V2.CDFILIAL
               AND V1.CDCAIXA  = V2.CDCAIXA
               AND V1.DTABERTUR= V2.DTABERTUR
               AND V1.NRSEQVENDAMSDE = V2.NRSEQVENDAMSDE
               AND V1.NRSEQVENDA    <> V2.NRSEQVENDA) LOOP
            V_NRSEQVENDA := NULL;
            BEGIN
               SELECT MIN(E.NRSEQVENDA)
                 INTO V_NRSEQVENDA
                 FROM EXTRATOCONS E, VENDA V
                WHERE V.CDFILIAL = C_VENDAS_DUP.CDFILIAL
            AND V.CDCAIXA  = C_VENDAS_DUP.CDCAIXA
            AND V.DTABERTUR= C_VENDAS_DUP.DTABERTUR
            AND V.NRSEQVENDAMSDE = C_VENDAS_DUP.NRSEQVENDAMSDE
            AND E.CDFILIAL = V.CDFILIAL
            AND E.CDCAIXA  = V.CDCAIXA
            AND E.NRSEQVENDA     = V.NRSEQVENDA;
            EXCEPTION
               WHEN NO_DATA_FOUND THEN BEGIN
            V_NRSEQVENDA := NULL;
               END;
            END;
            IF V_NRSEQVENDA IS NULL THEN
               SELECT MIN(V.NRSEQVENDA)
                 INTO V_NRSEQVENDA
                 FROM VENDA V
                WHERE V.CDFILIAL = C_VENDAS_DUP.CDFILIAL
            AND V.CDCAIXA  = C_VENDAS_DUP.CDCAIXA
            AND V.DTABERTUR= C_VENDAS_DUP.DTABERTUR
            AND V.NRSEQVENDAMSDE = C_VENDAS_DUP.NRSEQVENDAMSDE;
            END IF;
            FOR C_APAGA_DUP IN
                 (SELECT CDFILIAL, CDCAIXA, DTABERTUR, NRSEQVENDAMSDE, NRSEQVENDA
            FROM VENDA
                 WHERE CDFILIAL = C_VENDAS_DUP.CDFILIAL
             AND CDCAIXA  = C_VENDAS_DUP.CDCAIXA
             AND DTABERTUR= C_VENDAS_DUP.DTABERTUR
             AND NRSEQVENDAMSDE = C_VENDAS_DUP.NRSEQVENDAMSDE
             AND NRSEQVENDA    <> V_NRSEQVENDA) LOOP
               DELETE FROM OBSITEMVENDAEST
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM OBSITEMVENDA
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ITEMVENDAEST
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ITVENDACAN
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ITVENDADES
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ITVENDAIMPOS
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM MOVBENEFICIOCONS
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ITFIDELIDADE
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM EXTRATOCONS
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM MOVICLIE
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ITEMVENDA
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ARQXMLNFCE
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM ITHRCOMANDA
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM MOVCAIXA
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
               DELETE FROM VENDA
                WHERE CDFILIAL   = C_APAGA_DUP.CDFILIAL
            AND CDCAIXA    = C_APAGA_DUP.CDCAIXA
            AND NRSEQVENDA = C_APAGA_DUP.NRSEQVENDA;
            END LOOP;
               END LOOP;
            END;
        `;
  }

  get(params) {
    return OracleService.connect().then(() => {
      return OracleService.execute(this.GET_ACMAPAGAVENDASDUP, params);
    });
  }
}

module.exports = new acmApagaVendasDupModel();
